## golang-github-tillitis-tkeyclient 1.2.0

=== Makefile ===
all:
	go build

.PHONY: spdx
spdx:
	./tools/spdx-ensure

## golang-github-tillitis-tkeyclient 1.1.0

=== debian/changelog ===
golang-github-tillitis-tkeyclient (1.1.0-2) unstable; urgency=medium

  * salsa-ci.yml: Drop custom apt repo.

 -- Simon Josefsson <simon@josefsson.org>  Thu, 14 Nov 2024 10:08:08 +0100

golang-github-tillitis-tkeyclient (1.1.0-1) unstable; urgency=medium

  * Initial release (Closes: #1087024)

 -- Simon Josefsson <simon@josefsson.org>  Fri, 08 Nov 2024 10:54:13 +0100

=== debian/control ===
Source: golang-github-tillitis-tkeyclient
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders:
 Simon Josefsson <simon@josefsson.org>,
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-golang,
 golang-any,
 golang-github-bugst-go-serial-dev,
 golang-github-ccoveille-go-safecast-dev,
 golang-golang-x-crypto-dev,
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-tillitis-tkeyclient
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-tillitis-tkeyclient.git
Homepage: https://github.com/tillitis/tkeyclient
XS-Go-Import-Path: github.com/tillitis/tkeyclient

Package: golang-github-tillitis-tkeyclient-dev
Architecture: all
Multi-Arch: foreign
Depends:
 golang-github-bugst-go-serial-dev,
 golang-github-ccoveille-go-safecast-dev,
 golang-golang-x-crypto-dev,
 ${misc:Depends},
Description: Tillitis TKey client functions (Go library)
 Tillitis TKey Client package
 .
 A Go package for controlling a Tillitis (https://tillitis.se/) TKey,
 upload device apps, and communicate with it.
 .
 This package contains the Go development library.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
  https://github.com/tillitis/tkeyclient/tags .*/v?(\d\S*)\.tar\.gz debian

## golang-github-tillitis-tkeyclient 1.2.0

=== debian/changelog ===
golang-github-tillitis-tkeyclient (1.2.0-2) unstable; urgency=medium

  * Upload to unstable
  * Modernize Salsa CI

 -- Simon Josefsson <simon@josefsson.org>  Sun, 07 Dec 2025 21:20:28 +0100

golang-github-tillitis-tkeyclient (1.2.0-2~exp0) experimental; urgency=medium

  * Bump B-D on go-safecast to >2.0.0
  * Patch to use go-safecast v2
  * Drop Rules-Requires-Root: no
  * Use watch v5

 -- Simon Josefsson <simon@josefsson.org>  Sun, 07 Dec 2025 11:40:05 +0100

golang-github-tillitis-tkeyclient (1.2.0-1) unstable; urgency=medium

  * Standards-Version: 4.7.2.
  * New upstream version 1.2.0
  * Bump debian/* copyright years.

 -- Simon Josefsson <simon@josefsson.org>  Tue, 19 Aug 2025 15:14:49 +0200

=== debian/control ===
--- 
+++ 
@@ -4,16 +4,15 @@
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders:
  Simon Josefsson <simon@josefsson.org>,
-Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-golang,
  golang-any,
  golang-github-bugst-go-serial-dev,
- golang-github-ccoveille-go-safecast-dev,
+ golang-github-ccoveille-go-safecast-dev (>> 2.0.0~),
  golang-golang-x-crypto-dev,
 Testsuite: autopkgtest-pkg-go
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-tillitis-tkeyclient
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-tillitis-tkeyclient.git
 Homepage: https://github.com/tillitis/tkeyclient
@@ -24,7 +23,7 @@
 Multi-Arch: foreign
 Depends:
  golang-github-bugst-go-serial-dev,
- golang-github-ccoveille-go-safecast-dev,
+ golang-github-ccoveille-go-safecast-dev (>> 2.0.0~),
  golang-golang-x-crypto-dev,
  ${misc:Depends},
 Description: Tillitis TKey client functions (Go library)

=== debian/watch ===
Version: 5
Template: Github
Owner: tillitis
Project: tkeyclient
